import http from '@/utils/request'

// ---------------座位图-------------------
export function getSeatConfigList (params) {
  return http.post(`seatConfig/list`, params)
}

export function updateSeatConfig (params) {
  return http.post(`seatConfig/update`, params)
}

export function addSeatConfig (params) {
  return http.post(`/seatConfig/add`, params)
}

export function deleteSeatConfig (id) {
  return http.post(`/seatConfig/delete/${id}`)
}

// ---------------区域-------------------
export function getSeatArea (params) {
  return http.post(`seatArea/list`, params)
}

export function addSeatArea (params) {
  return http.post(`seatArea/add`, params)
}

export function updateSeatArea (params) {
  return http.post(`seatArea/update`, params)
}

export function deleteSeatArea (params) {
  return http.post(`seatArea/delete/${params.id}`)
}

// ---------------座位-------------------
export function getSeatList (params) {
  return http.post(`seat/list`, params)
}

export function addSeat (params) {
  return http.post(`seat/add`, params)
}

export function deleteSeat (params) {
  return http.post(`seat/delete`, params)
}

export function updateSeat (params) {
  return http.post(`seat/update`, params)
}
